from pytwss.mbean.mbean_utils import MBeanProxy, Scope, MAX_RETRIES, getAdminClient
from pytwss.utils import _, log, logScreen
import jarray, javax
from time import sleep
from java.lang import Boolean, System


#
# The MBeanProxy to the Discovery mbean.
#
class DiscoveryAdministration(MBeanProxy):
    # Constructs a Discovery Administration object.
    # param: max_retries max retry count to connect to mbean
    def __init__(self, max_retries=MAX_RETRIES):
       scope = Scope(type='Discovery', process='dmgr')
       MBeanProxy.__init__(self, scope, max_retries=max_retries)


