#!/bin/sh
# Copyright IBM Corp. 2011

if [ "$1" = "" ]
then
echo USAGE : TWSSFeatureInfo.sh option
echo OPTIONS:
echo   -b   lists installed features of IBM WebSphere Telecom Web Services Server - BASE
echo   -s   lists installed features of IBM WebSphere Telecom Web Services Server - SERVICES
exit
fi

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

WAS_CLASSPATH="$WAS_HOME"/tempTWSS/lib/twssUtil.jar

IM_HOME=

${JAVA_EXE} \
  -classpath "$WAS_CLASSPATH" com.ibm.websphere.twss.util.TWSSFeatureInfo "$WAS_HOME" "$IM_HOME" "$1"